## preludedb-sql-settings

preludedb-sql-settings

## Synopsis

    #define             PRELUDEDB_SQL_SETTING_TYPE
    #define             PRELUDEDB_SQL_SETTING_HOST
    #define             PRELUDEDB_SQL_SETTING_PORT
    #define             PRELUDEDB_SQL_SETTING_NAME
    #define             PRELUDEDB_SQL_SETTING_USER
    #define             PRELUDEDB_SQL_SETTING_PASS
    #define             PRELUDEDB_SQL_SETTING_FILE
    #define             PRELUDEDB_SQL_SETTING_LOG
    typedef             preludedb_sql_settings_t;
    int                 preludedb_sql_settings_new          (preludedb_sql_settings_t **settings);
    int                 preludedb_sql_settings_new_from_string
                                                            (preludedb_sql_settings_t **settings,
                                                             const char *str);
    void                preludedb_sql_settings_destroy      (preludedb_sql_settings_t *settings);
    int                 preludedb_sql_settings_set          (preludedb_sql_settings_t *settings,
                                                             const char *name,
                                                             const char *value);
    int                 preludedb_sql_settings_set_from_string
                                                            (preludedb_sql_settings_t *settings,
                                                             const char *str);
    const char *        preludedb_sql_settings_get          (const preludedb_sql_settings_t *settings,
                                                             const char *name);
    int                 preludedb_sql_settings_set_type     (preludedb_sql_settings_t *settings,
                                                             const char *value);
    const char *        preludedb_sql_settings_get_type     (const preludedb_sql_settings_t *settings);
    int                 preludedb_sql_settings_set_host     (preludedb_sql_settings_t *settings,
                                                             const char *value);
    const char *        preludedb_sql_settings_get_host     (const preludedb_sql_settings_t *settings);
    int                 preludedb_sql_settings_set_port     (preludedb_sql_settings_t *settings,
                                                             const char *value);
    const char *        preludedb_sql_settings_get_port     (const preludedb_sql_settings_t *settings);
    int                 preludedb_sql_settings_set_name     (preludedb_sql_settings_t *settings,
                                                             const char *value);
    const char *        preludedb_sql_settings_get_name     (const preludedb_sql_settings_t *settings);
    int                 preludedb_sql_settings_set_user     (preludedb_sql_settings_t *settings,
                                                             const char *value);
    const char *        preludedb_sql_settings_get_user     (const preludedb_sql_settings_t *settings);
    int                 preludedb_sql_settings_set_pass     (preludedb_sql_settings_t *settings,
                                                             const char *value);
    const char *        preludedb_sql_settings_get_pass     (const preludedb_sql_settings_t *settings);
    int                 preludedb_sql_settings_set_log      (preludedb_sql_settings_t *settings,
                                                             const char *value);
    const char *        preludedb_sql_settings_get_log      (const preludedb_sql_settings_t *settings);
    int                 preludedb_sql_settings_set_file     (preludedb_sql_settings_t *settings,
                                                             const char *value);
    const char *        preludedb_sql_settings_get_file     (const preludedb_sql_settings_t *settings);

## Description

## Details

### PRELUDEDB_SQL_SETTING_TYPE

    #define PRELUDEDB_SQL_SETTING_TYPE "type"

### PRELUDEDB_SQL_SETTING_HOST

    #define PRELUDEDB_SQL_SETTING_HOST "host"

### PRELUDEDB_SQL_SETTING_PORT

    #define PRELUDEDB_SQL_SETTING_PORT "port"

### PRELUDEDB_SQL_SETTING_NAME

    #define PRELUDEDB_SQL_SETTING_NAME "name"

### PRELUDEDB_SQL_SETTING_USER

    #define PRELUDEDB_SQL_SETTING_USER "user"

### PRELUDEDB_SQL_SETTING_PASS

    #define PRELUDEDB_SQL_SETTING_PASS "pass"

### PRELUDEDB_SQL_SETTING_FILE

    #define PRELUDEDB_SQL_SETTING_FILE "file"

### PRELUDEDB_SQL_SETTING_LOG

    #define PRELUDEDB_SQL_SETTING_LOG "log"

### preludedb_sql_settings_t

    typedef struct preludedb_sql_settings preludedb_sql_settings_t;

### preludedb_sql_settings_new ()

    int                 preludedb_sql_settings_new          (preludedb_sql_settings_t **settings);

`settings` : |
Returns : |

### preludedb_sql_settings_new_from_string ()

    int                 preludedb_sql_settings_new_from_string
                                                            (preludedb_sql_settings_t **settings,
                                                             const char *str);

`settings` : |
`str` : |
Returns : |

### preludedb_sql_settings_destroy ()

    void                preludedb_sql_settings_destroy      (preludedb_sql_settings_t *settings);

`settings` : |

### preludedb_sql_settings_set ()

    int                 preludedb_sql_settings_set          (preludedb_sql_settings_t *settings,
                                                             const char *name,
                                                             const char *value);

`settings` : |
`name` : |
`value` : |
Returns : |

### preludedb_sql_settings_set_from_string ()

    int                 preludedb_sql_settings_set_from_string
                                                            (preludedb_sql_settings_t *settings,
                                                             const char *str);

`settings` : |
`str` : |
Returns : |

### preludedb_sql_settings_get ()

    const char *        preludedb_sql_settings_get          (const preludedb_sql_settings_t *settings,
                                                             const char *name);

`settings` : |
`name` : |
Returns : |

### preludedb_sql_settings_set_type ()

    int                 preludedb_sql_settings_set_type     (preludedb_sql_settings_t *settings,
                                                             const char *value);

`settings` : |
`value` : |
Returns : |

### preludedb_sql_settings_get_type ()

    const char *        preludedb_sql_settings_get_type     (const preludedb_sql_settings_t *settings);

`settings` : |
Returns : |

### preludedb_sql_settings_set_host ()

    int                 preludedb_sql_settings_set_host     (preludedb_sql_settings_t *settings,
                                                             const char *value);

`settings` : |
`value` : |
Returns : |

### preludedb_sql_settings_get_host ()

    const char *        preludedb_sql_settings_get_host     (const preludedb_sql_settings_t *settings);

`settings` : |
Returns : |

### preludedb_sql_settings_set_port ()

    int                 preludedb_sql_settings_set_port     (preludedb_sql_settings_t *settings,
                                                             const char *value);

`settings` : |
`value` : |
Returns : |

### preludedb_sql_settings_get_port ()

    const char *        preludedb_sql_settings_get_port     (const preludedb_sql_settings_t *settings);

`settings` : |
Returns : |

### preludedb_sql_settings_set_name ()

    int                 preludedb_sql_settings_set_name     (preludedb_sql_settings_t *settings,
                                                             const char *value);

`settings` : |
`value` : |
Returns : |

### preludedb_sql_settings_get_name ()

    const char *        preludedb_sql_settings_get_name     (const preludedb_sql_settings_t *settings);

`settings` : |
Returns : |

### preludedb_sql_settings_set_user ()

    int                 preludedb_sql_settings_set_user     (preludedb_sql_settings_t *settings,
                                                             const char *value);

`settings` : |
`value` : |
Returns : |

### preludedb_sql_settings_get_user ()

    const char *        preludedb_sql_settings_get_user     (const preludedb_sql_settings_t *settings);

`settings` : |
Returns : |

### preludedb_sql_settings_set_pass ()

    int                 preludedb_sql_settings_set_pass     (preludedb_sql_settings_t *settings,
                                                             const char *value);

`settings` : |
`value` : |
Returns : |

### preludedb_sql_settings_get_pass ()

    const char *        preludedb_sql_settings_get_pass     (const preludedb_sql_settings_t *settings);

`settings` : |
Returns : |

### preludedb_sql_settings_set_log ()

    int                 preludedb_sql_settings_set_log      (preludedb_sql_settings_t *settings,
                                                             const char *value);

`settings` : |
`value` : |
Returns : |

### preludedb_sql_settings_get_log ()

    const char *        preludedb_sql_settings_get_log      (const preludedb_sql_settings_t *settings);

`settings` : |
Returns : |

### preludedb_sql_settings_set_file ()

    int                 preludedb_sql_settings_set_file     (preludedb_sql_settings_t *settings,
                                                             const char *value);

`settings` : |
`value` : |
Returns : |

### preludedb_sql_settings_get_file ()

    const char *        preludedb_sql_settings_get_file     (const preludedb_sql_settings_t *settings);

`settings` : |
Returns : |